Problem installing Neuron on 10.8.5 (with troubleshooting)

Post Reply
jolthoff

Problem installing Neuron on 10.8.5 (with troubleshooting)

Post by jolthoff » Sun Apr 06, 2014 11:06 am

I've had a few problems. I have been following the instructions on the following page because I want to install PyNN with Neuron, and the PyNN instructions say to follow these for installing Neuron first: http://www.neuron.yale.edu/neuron/downl ... x#ivandnrn
My OS is 10.8.5.

I had a problem running make for libtool (didn't record the error, it had something to do with gcc). So I downloaded the latest version of Xcode (5.1) instead of just having downloaded gcc. That seemed to fix the problem.

I initially skipped over MPI since I'm not planning on doing anything parallel, but then I had problems at the step for installing Interviews, so I went back and installed MPI. That did the trick.

Until I got to the stage of part II.D -- installing Neuron. I got the same problem as this thread: http://www.neuron.yale.edu/phpBB/viewto ... f=4&t=3049

I followed the solution, and it seemed to work… until I got to make install. Then I get the following error:
"
building 'neuron.hoc' extension
gcc -fno-strict-aliasing -fno-common -dynamic -g -Os -pipe -fno-common -fno-strict-aliasing -fwrapv -mno-fused-madd -DENABLE_DTRACE -DMACOSX -DNDEBUG -Wall -Wstrict-prototypes -Wshorten-64-to-32 -DNDEBUG -g -Os -Wall -Wstrict-prototypes -DENABLE_DTRACE -arch i386 -arch x86_64 -pipe -I../.././src/oc -I../oc -I../.././src/nrnmpi -I/System/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -c inithoc.cpp -o build/temp.macosx-10.8-intel-2.7/inithoc.o
clang: error: unknown argument: '-mno-fused-madd' [-Wunused-command-line-argument-hard-error-in-future]
clang: note: this will be a hard error (cannot be downgraded to a warning) in the future
error: command 'gcc' failed with exit status 1
make[3]: *** [install-exec-hook] Error 1
make[2]: *** [install-exec-am] Error 2
make[1]: *** [install-am] Error 2
make: *** [install-recursive] Error 1
"

I googled the error and found this: http://kaspermunck.github.io/2014/03/fi ... ang-error/

It looks like it's a problem with Xcode 5.1

According to this page: http://stackoverflow.com/questions/2239 ... lang-error

I tried running make install -Wno-error=unused-command-line-argument-hard-error-in-future
but I don't know what I'm doing and that didn't work.

I also tried downloading the old 5.0.2 Xcode, but that didn't help.

I tried running the following command before make and make install, but I still get the same error:
./configure --prefix=/Application/NEURON/nrn --with-iv=/Application/NEURON/iv --with-pic --with-nrnpython --with-paranrn --with-x --with-readline=/usr/local/opt/readline --with-pic CC='clang' CXX='clang++' CFLAGS='-O3 -Wno-return-type -Wno-implicit-function-declaration -Wno-implicit-int -fPIC' CXXFLAGS='-O3 -Wno-return-type -Wno-implicit-function-declaration -Wno-implicit-int -fPIC'

Desperate, I saw this thread: http://www.neuron.yale.edu/phpBB/viewto ... f=4&t=2940
I tried both the following, although the error wasn't the same as I what I experienced:
1) if you are working from a mercurial repository update to version 3 using
hg update 'Release 7.3'

2) install cython. On my mac I have done this with macports using
sudo port install py27-cython
and then I configured with the extra option
CYTHON=cython-2.7

Still get the error.

one more bit of info, when I use make, I get a bunch of warnings: "
automake-1.14: warning: autoconf input should be named 'configure.ac', not 'configure.in'
src/e_editor/Makefile.am:22: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')
src/gnu/Makefile.am:12: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')
src/ivoc/Makefile.am:12: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')
src/ni_pci_6229/Makefile.am:18: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')
src/nmodl/Makefile.am:14: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')
src/nrniv/Makefile.am:104: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')
src/nrnjava/Makefile.am:27: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')
src/nrnmpi/Makefile.am:4: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')
src/nrnoc/Makefile.am:56: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')
src/nrnpython/Makefile.am:8: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')
src/oc/Makefile.am:8: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')
src/sundials/cvodes/Makefile.am:4: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')
src/sundials/ida/Makefile.am:4: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')
src/sundials/shared/Makefile.am:17: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')
src/uxnrnbbs/Makefile.am:6: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or '*_CPPFLAGS')
CDPATH="${ZSH_VERSION+.}:" && cd . && /bin/sh /Users/jolthoff/neuron/nrn/missing autoconf
configure.in:247: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
"

Any advice on how to fix this? Thanks!

hines
Site Admin
Posts: 1494
Joined: Wed May 18, 2005 3:32 pm

Re: Problem installing Neuron on 10.8.5 (with troubleshootin

Post by hines » Tue Apr 08, 2014 2:40 pm

Please drag any installed /Applications/NEURON-7.3 to the trash and install
http://www.neuron.yale.edu/ftp/neuron/v ... 10.7.5.dmg
and see if that works on your machine. If you wish to build and install version 7.3 from the mercurial repository it is best to switch to the 'ansi' branch.
hg update ansi
and try from that source version. The ansi branch has also been merged into the trunk but the latter requires cython if the --with-nrnpython configure option
is used.

hines
Site Admin
Posts: 1494
Joined: Wed May 18, 2005 3:32 pm

Re: Problem installing Neuron on 10.8.5 (with troubleshootin

Post by hines » Tue Apr 08, 2014 2:47 pm

I should mention that the above dmg was built using

Code: Select all

'/Users/hines/neuron/nrn/configure'  '--prefix=/Applications/NEURON-7.3/nrn' '--with-iv=/Applications/NEURON-7.3/iv' '--with-paranrn=dynamic' '--with-nrnpython=dynamic'
If you do choose the --with-paranrn=dynamic
there is a problem with the Makefile that you can work around with
cd nrn/src/nrnmpi
sh mkdynam.sh
If you don't have an mpi installed, or don't want the feature, then leave off the option entirely. Same with the Python option.

jolthoff

Re: Problem installing Neuron on 10.8.5 (with troubleshootin

Post by jolthoff » Thu Apr 10, 2014 8:58 am

Thanks for your response! I downloaded the dmg you suggested and installed it. The nrngui works, but when I try to get it to work in the command line, I have problems.

Following the instructions for PyNN (http://neuralensemble.org/trac/PyNN/wiki/Installation), I tried to load
"John-Olthoffs-MacBook-Pro:nrniv jolthoff$ ./nrniv -python
NEURON -- Release 7.3 (1059:24c7ee8666e7) 2014-03-20
Duke, Yale, and the BlueBrain Project -- Copyright 1984-2014
See http://www.neuron.yale.edu/neuron/credits

Could not load /Applications/Neuron-7.3/nrn/share/nrn/../../x86_64/lib/libnrnpython1013.dylib
Python not available"

I then checked to make sure that nrn worked from the command line anyway, which it didn't:

"John-Olthoffs-MacBook-Pro:nrniv jolthoff$ ./nrniv
NEURON -- Release 7.3 (1059:24c7ee8666e7) 2014-03-20
Duke, Yale, and the BlueBrain Project -- Copyright 1984-2014
See http://www.neuron.yale.edu/neuron/credits

Could not load /Applications/Neuron-7.3/nrn/share/nrn/../../x86_64/lib/libnrnpython1013.dylib"

Those commands were done in /Users/jolthoff/neuron/nrn/src/nrniv
I thought maybe there was a problem because I hadn't added the directories to my path, so when I went to do that, I discovered that this directory wasn't under /Users/jolthoff/Applications (as I had deleted in the OS X GUI the previous Neuron installation in Applications, then installed via the GUI and dmg file you recommended into the Applications folder.) In the terminal, my /Users/jolthoff/Applications folder is empty.

As you can tell, I'm not really a Unix person. Any advice on where to go from here? Thanks!

hines
Site Admin
Posts: 1494
Joined: Wed May 18, 2005 3:32 pm

Re: Problem installing Neuron on 10.8.5 (with troubleshootin

Post by hines » Thu Apr 10, 2014 11:21 am

NEURON -- Release 7.3 (1059:24c7ee8666e7) 2014-03-20
If you installed http://www.neuron.yale.edu/ftp/neuron/v ... 10.7.5.dmg
Then I would expect the banner to read
NEURON -- VERSION 7.3 ansi (1078:2b0c984183df)
Notice the 1078 instead of the 1059.
You mention that nrngui (icon?) works. Is that also the 1059 version? Anyway, you need a LD_LIBRARY_PATH and you can figure it out from
python
import site
site.__file__
and subtract the last couple of names off the end. e.g. on my 10.9 machine I see
$ python
Enthought Canopy Python 2.7.3 | 64-bit | (default, Aug 8 2013, 05:37:06)
[GCC 4.2.1 (Apple Inc. build 5666) (dot 3)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
>>> import site
>>> site.__file__
'/Applications/Canopy.app/appdata/canopy-1.1.0.1371.macosx-x86_64/Canopy.app/Contents/lib/python2.7/site.pyc'
So I use
export PYTHONPATH=/Applications/NEURON-7.3/nrn/lib/python
export PYTHONHOME=/Applications/Canopy.app/appdata/canopy-1.1.0.1371.macosx-x86_64/Canopy.app/Contents
export LD_LIBRARY_PATH=/Applications/Canopy.app/appdata/canopy-1.1.0.1371.macosx-x86_64/Canopy.app/Contents/lib
This allows me to launch either python or nrniv -python from the terminal and successfully
from neuron import h

Given all the python, compiler, and os x versions and the difficulty of setting up the environment, If you don't need python, you can avoid it with
nrniv -nopython ....
And you can make -nopython the default by putting the line
nopython: on
in a .nrn.defaults file in your $HOME folder.

Post Reply